org.apache.tapestry5.corelib.data

## Enum InsertPosition

- java.lang.Object
- - java.lang.Enum<InsertPosition>
  - - org.apache.tapestry5.corelib.data.InsertPosition

- All Implemented Interfaces:
    Serializable, Comparable<InsertPosition>

      public enum InsertPosition
      extends Enum<InsertPosition>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOVE` Insert the new content above (i.e., before) the insertion position.
    `BELOW` Insert the new context below (i.e., after) the insertion position.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InsertPosition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InsertPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABOVE

          public static final InsertPosition ABOVE

      Insert the new content above (i.e., before) the insertion position.

    - #### BELOW

          public static final InsertPosition BELOW

      Insert the new context below (i.e., after) the insertion position.

  - ### Method Detail

    - #### values

          public static InsertPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InsertPosition c : InsertPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InsertPosition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.